_Replace italic text by your own description_

## Merge Request description

### Why this Merge Request

_This merge request addresses, and describe the problem or user story being addressed._

### What is implemented, what is the chosen solution

_Explain the fix or solution implemented. Which other solution have been envisaged._

### Related issues and impact on other project in codebase

_Provide links to the related issues, feature requests and merge request (from Gitlab and Redmine)._

_And Link to other project Impacted._

### Other Information

_Include any extra information or considerations for reviewers._

## Checklists

### Merge Request

-   [ ] Target branch identified.
-   [ ] Code based on last version of target branch.
-   [ ] Description filled.
-   [ ] Impact on other project codebase identified.
-   [ ] Documentation reflects the changes made.
-   [ ] Test run in gitlab pipeline and locally.
-   [ ] One or more reviewer is defined

### Code Review

-   [ ] Code follows project coding guidelines (todo: add a link to doc).
-   [ ] Code follows project designed architecture (todo: add a link to doc).
-   [ ] Code is easily readable.
-   [ ] Everything new have an explicit and pertinent name (variable, method, file ...)
-   [ ] No redundant/duplicate code (unless explain by architecture choice)
-   [ ] Commit are all related to MR and well written (Atomic commit).
-   [ ] New code is tested and covered by automated test.
-   [ ] No useless logging or debugging code.
-   [ ] No code can be replaced by library or framework code.

### Change Management

-   [ ] Merge date is planned
-   [ ] Concerned Team are aware of the change
-   [ ] No other change on the same day (if possible)

### TODO before merge

-   [ ] **add any task here**
-   [ ] ...

### TODO after merge

-   [ ] **add any task here**
-   [ ] ...
